Package de.willuhn.jameica.hbci.io

# Class XMLSepaSammelTransferExporter

java.lang.Object
de.willuhn.jameica.hbci.io.XMLExporter
de.willuhn.jameica.hbci.io.XMLSepaSammelTransferExporter

All Implemented Interfaces:
  `Exporter`, `IO`

public class XMLSepaSammelTransferExporter extends XMLExporter
Exportiert SEPA-Sammel-Auftraege im XML-Format.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.io.XMLExporter

`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.io.Exporter

`SESSION`

## Constructor Summary

Constructors
Constructor
Description
`XMLSepaSammelTransferExporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor)`
Exportiert die genannten Objekte in den angegebenen OutputStream.
`IOFormat[]`
`getIOFormats(Class objectType)`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

### Methods inherited from class de.willuhn.jameica.hbci.io.XMLExporter

`getName, suppportsExtension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLSepaSammelTransferExporter

public XMLSepaSammelTransferExporter()

## Method Details

### doExport

public void doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Exporter`
Exportiert die genannten Objekte in den angegebenen OutputStream.

Specified by:
  `doExport` in interface `Exporter`
Overrides:
  `doExport` in class `XMLExporter`
Parameters:
  `objects` - die zu exportierenden Objekte.
  `format` - das vom User ausgewaehlte Export-Format.
  `os` - der Ziel-Ausgabe-Stream. Der Exporter muss den OutputStream selbst schliessen!
  `monitor` - ein Monitor, an den der Exporter Ausgaben ueber seinen Bearbeitungszustand ausgeben kann.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getIOFormats

public IOFormat[] getIOFormats(Class objectType)
Description copied from interface: `IO`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

Specified by:
  `getIOFormats` in interface `IO`
Overrides:
  `getIOFormats` in class `XMLExporter`
Parameters:
  `objectType` - Art der zu exportierenden/importierenden Objekte. Z.Bsb.: Umsatz.class oder SammellastBuchung.class. Abhaengig davon kann der Exporter/Importer eine unterschiedliche Liste von Dateiformaten liefern, die er zu dieser Objektart unterstuetzt.
Returns:
  Liste der Export-Formate.